@import 'assets/sass/variables'

form
  .item-form
    width: fit-content
    display: flex
    flex-direction: column
    margin-top: 30px

    .input-container
      display: flex
      flex-direction: column

      @media only screen and (min-width: 768px)
       flex-direction: row

      .errors
        margin-top: 15px

        p
          opacity: 0.75
          color: red

        @media only screen and (min-width: 768px)
          margin-left: 20px

    label
      font-family: Inter, sans-serif
      font-weight: bold

    input
      width: 200px
      margin-top: 15px
      padding: 12px 0 12px 10px
      border: 1px solid rgba(0, 0, 0, 0.1)
      box-shadow: 0 0 10px rgba(0, 0, 0, 0.1)
      border-radius: 10px
      color: $black

      &:not(.ng-valid):not(.ng-untouched)
        color: red
        border: 1px solid red

      &.ng-valid
        color: green
        border: 1px solid green

      &:focus
        border: 1px solid #F7C845
        color: $black

  .actions
    display: flex
    flex-direction: column

    button
      width: 200px

      &:first-child
        margin: 20px 0 10px 0
        background: $yellow
        color: white
